package com.kdanmobile.reader.thumb

import android.content.Context
import android.util.DisplayMetrics

object ScreenUtil {

    private fun getDisPlayMetrics(context: Context): DisplayMetrics {
        return context.resources.displayMetrics
    }

    fun getScreenWidth(context: Context): Int {
        return getDisPlayMetrics(context).widthPixels
    }

    fun getDensity(context: Context): Float {
        return getDisPlayMetrics(context).density
    }

    fun getXDp(context: Context): Double {
        return (getScreenWidth(context) / getDensity(context)).toDouble()
    }
}